import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileChunkFileIdSeqCompoundUniqueInputObjectSchema as CloudFileChunkFileIdSeqCompoundUniqueInputObjectSchema } from './CloudFileChunkFileIdSeqCompoundUniqueInput.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  fileId_seq: z.lazy(() => CloudFileChunkFileIdSeqCompoundUniqueInputObjectSchema).optional()
}).strict();
export const CloudFileChunkWhereUniqueInputObjectSchema: z.ZodType<Prisma.CloudFileChunkWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkWhereUniqueInput>;
export const CloudFileChunkWhereUniqueInputObjectZodSchema = makeSchema();
